#include "sync_command.h"

#include "command.h"
#include "utils_internal.h"
using namespace internal;

#include <QDir>
#include <QDebug>
#include <QFlags>
#include <QRegularExpression>

SyncCommand::SyncCommand() {
}

int SyncCommand::exec(QString const &cmd, QStringList const &options,
                       int start_timeout, int finish_timeout) {
    Command c(cmd, options, internal::customerRepoDir(),
              start_timeout, finish_timeout);
    c.exec();
    return c.exitCode();
}
